package ru.ulstu.extractor.service;

import org.springframework.stereotype.Service;
import ru.ulstu.extractor.model.Commit;

import java.util.List;
import java.util.stream.Collectors;

@Service
public class FilteringService {

    private final GitRepositoryService gitRepositoryService;

    public FilteringService(GitRepositoryService gitRepositoryService) {
        this.gitRepositoryService = gitRepositoryService;
    }

    public List<Commit> getCommits(String urlRepo) {
        return getCommits(urlRepo, null);
    }

    public List<Commit> getCommits(String urlRepo, String filterCommitMessage) {
        if (filterCommitMessage != null) {
            return getCommits(urlRepo)
                    .stream()
                    .filter(commit -> commit.getMessage().contains(filterCommitMessage))
                    .collect(Collectors.toList());
        } else {
            return getCommits(urlRepo);
        }
    }
}
